Package Details: v4l2loopback-dkms-git 0.12.5.r220.gf62fb90-1

Git Clone URL: https://aur.archlinux.org/v4l2loopback-dkms-git.git (read-only, click to copy)
Package Base: v4l2loopback-dkms-git
Description: v4l2-loopback device
Upstream URL: https://github.com/umlaeute/v4l2loopback
Licenses: GPL2
Conflicts: v4l2loopback-dkms
Provides: v4l2loopback-dkms
Submitter: hipersayan_x
Maintainer: hipersayan_x
Last Packager: hipersayan_x
Votes: 18
Popularity: 1.16
First Submitted: 2016-04-01 15:50
Last Updated: 2021-03-01 15:06

Dependencies (3)

Required by (21)

Sources (1)

Latest Comments

1 2 Next › Last »

dizzle commented on 2021-07-01 14:51

I'm experiencing the same issue as many before have commented:

(2/2) Install DKMS modules
==> dkms install --no-depmod -m v4l2loopback -v 0.12.5.r226.g81b8df7 -k 5.12.13-arch1-2
==> depmod 5.12.13-arch1-2
==> Unable to install module v4l2loopback/0.12.5.r226.g81b8df7 for kernel 5.12.12-arch1-1: Missing kernel headers.

I installed the linux-headers package, as @Jrbo mentioned, but that doesn't seem to have worked. I should note, I haven't restarted since installing that package. If that resolves the issue I'll comment again.

hipersayan_x commented on 2021-03-01 15:14

@mazieres I hadn't such problem, but I've pointed the source link to the main branch anyway.

@jcelerier v4l2loopback doesn't depends on such program, just install it manually.

mazieres commented on 2021-02-28 23:01

This no longer builds for me, possibly because the main branch now seems to be called main instead of master. I can still install it if I run:

makepkg -so
git -C src/v4l2loopback checkout main
makepkg -ei

But it doesn't built automatically anymore.

jcelerier commented on 2021-02-18 10:18

Hello, I had to install the "pahole" package to be able to build this, else make.log had this error:

/bin/sh: ligne 1: pahole : command not found

Jrbo commented on 2021-01-29 13:42

@OllyHearn, you should try to install the linux-headers package; had the same problem and everything worked afterwards. Not sure why linux-headers is not listed as a runtime dependency.

OllyHearn commented on 2020-12-03 16:41

Installed without issues, but when i try sudo modprobe v4l2loopback it returns Module v4l2loopback not found in directory /lib/modules/5.9.10-arch1-1 What I'm doing wrong?

Mozai commented on 2020-11-20 20:14

Seems to be missing a requirement. pamac install v4l2loopback-dkms-git ends with:

Install DKMS modules [2/2]
==> Unable to install module v4l2loopback/0.12.5.r198.g9c965bd for kernel 5.8.16-2-MANJARO: Missing kernel headers.
==> Unable to install module v4l2loopback/0.12.5.r198.g9c965bd for kernel 5.8.18-1-MANJARO: Missing kernel headers.

bartus commented on 2020-09-22 13:38

Jus noticed that since v4l2loopback:0.11 I'm getting some warnings when upgrading package. Package works fine, but still it's kind a worrying. Is this the normal behavior?

[2018-06-11 19:05] [ALPM] upgraded v4l2loopback-dkms-git (0.11.0.r0.g05a03e2-1 -> 0.11.0.r6.gb2b33ee-1)
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] Creating symlink /var/lib/dkms/v4l2loopback/0.11.0.r6.gb2b33ee/source ->
[2018-06-11 19:05] [ALPM-SCRIPTLET]                  /usr/src/v4l2loopback-0.11.0.r6.gb2b33ee
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] DKMS: add completed.
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] Kernel preparation unnecessary for this kernel.  Skipping...
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] Building module:
[2018-06-11 19:05] [ALPM-SCRIPTLET] cleaning build area...
[2018-06-11 19:05] [ALPM-SCRIPTLET] make -j8 KERNELRELEASE=4.16.13-2-ARCH KERNEL_DIR=/usr/lib/modules/4.16.13-2-ARCH/build all...
[2018-06-11 19:05] [ALPM-SCRIPTLET] cleaning build area...
[2018-06-11 19:05] [ALPM-SCRIPTLET] Kernel cleanup unnecessary for this kernel.  Skipping...
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] DKMS: build completed.
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] v4l2loopback.ko:
[2018-06-11 19:05] [ALPM-SCRIPTLET] Running module version sanity check.
[2018-06-11 19:05] [ALPM-SCRIPTLET]  - Original module
[2018-06-11 19:05] [ALPM-SCRIPTLET]    - No original module exists within this kernel
[2018-06-11 19:05] [ALPM-SCRIPTLET]  - Installation
[2018-06-11 19:05] [ALPM-SCRIPTLET]    - Installing to /usr/lib/modules/4.16.13-2-ARCH/extra/
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] depmod....
[2018-06-11 19:05] [ALPM-SCRIPTLET]
[2018-06-11 19:05] [ALPM-SCRIPTLET] DKMS: install completed.

pkulak commented on 2020-07-14 16:32

No idea why, but this prompts me to install linux-headers even though I'm on linux-zen. I just removed that dep from the PKGBUILD, but I've never run into that before.

matmo commented on 2020-04-06 06:57

I am not quite sure what exactly is going on (let you know if I find time to debug), but I had to manually remove the dkms module (dkms remove) and could then build and dkms install from the source directory manually. Sounds like the paths in the .install file are maybe wrong...